package com.example.service.Impl;

import com.example.entity.User;
import com.example.mapper.UserMapper;
import com.example.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UserMapper userMapper;

    @Override
    public List<User> list(){
        return userMapper.list();
    }

    @Override
    public void save(User user){
        userMapper.save(user);
    }

    @Override
    public User selectById(Long id){
        return userMapper.selectById(id);
    }

    @Override
    public void update(User user){
        userMapper.update(user);
    }

    @Override
    public void remove(Long id){
        userMapper.deleteById(id);
    }
}
